Bug 1763459 (rust-multipart) - Review Request: rust-multipart - Backend-agnostic extension for HTTP libraries
Summary: Review Request: rust-multipart - Backend-agnostic extension for HTTP libraries
Keywords:
Status: CLOSED RAWHIDE
Alias: rust-multipart
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: rust-nickel
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-19 23:10 UTC by Robert-André Mauchin 🐧
Modified: 2019-12-23 17:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-23 17:51:54 UTC
Type: ---
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2019-10-19 23:10:28 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/rust-multipart.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/rust-multipart-0.16.1-1.fc32.src.rpm

Description:
Backend-agnostic extension for HTTP libraries that provides support for POST multipart/form-data requests on both client and server.

Fedora Account System Username: eclipseo

Comment 1 Igor Raits 2019-10-21 12:45:15 UTC
Summary is too large, please fix that.

Comment 2 Robert-André Mauchin 🐧 2019-12-07 21:26:03 UTC
(In reply to Igor Gnatenko from comment #1)
> Summary is too large, please fix that.

Summary is not over 80 characters?

Comment 3 Jerry James 2019-12-17 05:24:16 UTC
Not all of the subpackages can be installed.  Trying to install rust-multipart+clippy-devel:


Error: 
 Problem: conflicting requests
  - nothing provides (crate(clippy/default) >= 0.0.0 with crate(clippy/default) < 0.1.0) needed by rust-multipart+clippy-devel-0.16.1-1.fc32.noarch
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

And trying to install rust-multipart+rocket-devel:

Error: 
 Problem: conflicting requests
  - nothing provides (crate(rocket/default) >= 0.4.0 with crate(rocket/default) < 0.5.0) needed by rust-multipart+rocket-devel-0.16.1-1.fc32.noarch
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

Comment 4 Robert-André Mauchin 🐧 2019-12-17 16:17:59 UTC
(In reply to Jerry James from comment #3)
> Not all of the subpackages can be installed.  Trying to install
> rust-multipart+clippy-devel:
> 
> 
> Error: 
>  Problem: conflicting requests
>   - nothing provides (crate(clippy/default) >= 0.0.0 with
> crate(clippy/default) < 0.1.0) needed by
> rust-multipart+clippy-devel-0.16.1-1.fc32.noarch
> (try to add '--skip-broken' to skip uninstallable packages or '--nobest' to
> use not only best candidate packages)
> 
> And trying to install rust-multipart+rocket-devel:
> 
> Error: 
>  Problem: conflicting requests
>   - nothing provides (crate(rocket/default) >= 0.4.0 with
> crate(rocket/default) < 0.5.0) needed by
> rust-multipart+rocket-devel-0.16.1-1.fc32.noarch
> (try to add '--skip-broken' to skip uninstallable packages or '--nobest' to
> use not only best candidate packages)

This is normal, these are optional features which will be packaged if we need them. They are marked as optional in the Cargo.toml of the crate:

[dependencies.clippy]
version = ">=0.0, <0.1"
optional = true

[dependencies.rocket]
version = "0.4"
optional = true

In order not to package all optional features, they are segmented in different subpackages in the SPEC file. For example we can't package Clippy yet because it depends on Rust unstable.

Comment 5 Jerry James 2019-12-18 04:01:29 UTC
If the dependencies cannot be met, then those subpackages cannot be created at all.  From https://docs.fedoraproject.org/en-US/packaging-guidelines/#_package_dependencies

"All package dependencies (build-time or runtime, regular, weak or otherwise) MUST ALWAYS be satisfiable within the official Fedora repositories."

Comment 6 Josh Stone 2019-12-18 21:19:51 UTC
(In reply to Robert-André Mauchin from comment #4)
> For example we can't package Clippy yet because it depends on Rust unstable.

That's unlikely to ever change, since Clippy integrates with rustc internals, but note that there is a clippy subpackage from the rust srpm which provides the "cargo clippy" command line tool. That's no help to anything that wants to used it as a crate dependency though.

Personally, I would prune incompatible feature subpackages from your rust-multipart.spec -- no nightly, clippy, rocket, maybe bench, ...

Comment 8 Jerry James 2019-12-19 19:47:59 UTC
I will take this review.  If your offer of a swap still stands, I would appreciate a review of bug 1785365.

Comment 9 Jerry James 2019-12-19 20:35:33 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues
======
1. Please look at the rpmlint output, in particular the non-executable-script,
   wrong-script-end-of-line-encoding, and wrong-file-end-of-line-encoding
   warnings and errors.

2. Is the inclusion of LICENSE, LICENSE-APACHE, LICENSE-MIT, and README.md in
   /usr/share/cargo/registry/multipart-0.16.1 intentional?  (They are included
   in rust-multipart-devel.)

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x ]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: multipart-0.16.1-1.fc32.x86_64.rpm
          rust-multipart-devel-0.16.1-1.fc32.noarch.rpm
          rust-multipart+default-devel-0.16.1-1.fc32.noarch.rpm
          rust-multipart+buf_redux-devel-0.16.1-1.fc32.noarch.rpm
          rust-multipart+client-devel-0.16.1-1.fc32.noarch.rpm
          rust-multipart+httparse-devel-0.16.1-1.fc32.noarch.rpm
          rust-multipart+hyper-devel-0.16.1-1.fc32.noarch.rpm
          rust-multipart+iron-devel-0.16.1-1.fc32.noarch.rpm
          rust-multipart+lazy_static-devel-0.16.1-1.fc32.noarch.rpm
          rust-multipart+mock-devel-0.16.1-1.fc32.noarch.rpm
          rust-multipart+nickel-devel-0.16.1-1.fc32.noarch.rpm
          rust-multipart+quick-error-devel-0.16.1-1.fc32.noarch.rpm
          rust-multipart+safemem-devel-0.16.1-1.fc32.noarch.rpm
          rust-multipart+server-devel-0.16.1-1.fc32.noarch.rpm
          rust-multipart+tiny_http-devel-0.16.1-1.fc32.noarch.rpm
          rust-multipart+twoway-devel-0.16.1-1.fc32.noarch.rpm
          rust-multipart-debugsource-0.16.1-1.fc32.x86_64.rpm
          rust-multipart-0.16.1-1.fc32.src.rpm
multipart.x86_64: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
multipart.x86_64: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
multipart.x86_64: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
multipart.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/multipart/README.md
multipart.x86_64: W: no-manual-page-for-binary form_test
rust-multipart-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/multipart-0.16.1/.cargo-checksum.json
rust-multipart-devel.noarch: E: non-executable-script /usr/share/cargo/registry/multipart-0.16.1/fuzz_server.sh 644 /bin/sh 
rust-multipart-devel.noarch: E: wrong-script-end-of-line-encoding /usr/share/cargo/registry/multipart-0.16.1/fuzz_server.sh
rust-multipart-devel.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/rust-multipart-devel/README.md
rust-multipart+default-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+default-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+default-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+default-devel.noarch: W: no-documentation
rust-multipart+buf_redux-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+buf_redux-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+buf_redux-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+buf_redux-devel.noarch: W: spelling-error %description -l en_US buf -> bud, bug, bu
rust-multipart+buf_redux-devel.noarch: W: spelling-error %description -l en_US redux -> reduce
rust-multipart+buf_redux-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+buf_redux-devel.noarch: W: no-documentation
rust-multipart+client-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+client-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+client-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+client-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+client-devel.noarch: W: no-documentation
rust-multipart+httparse-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+httparse-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+httparse-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+httparse-devel.noarch: W: spelling-error %description -l en_US httparse -> sparse
rust-multipart+httparse-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+httparse-devel.noarch: W: no-documentation
rust-multipart+hyper-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+hyper-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+hyper-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+hyper-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+hyper-devel.noarch: W: no-documentation
rust-multipart+iron-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+iron-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+iron-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+iron-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+iron-devel.noarch: W: no-documentation
rust-multipart+lazy_static-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+lazy_static-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+lazy_static-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+lazy_static-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+lazy_static-devel.noarch: W: no-documentation
rust-multipart+mock-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+mock-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+mock-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+mock-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+mock-devel.noarch: W: no-documentation
rust-multipart+nickel-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+nickel-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+nickel-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+nickel-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+nickel-devel.noarch: W: no-documentation
rust-multipart+quick-error-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+quick-error-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+quick-error-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+quick-error-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+quick-error-devel.noarch: W: no-documentation
rust-multipart+safemem-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+safemem-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+safemem-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+safemem-devel.noarch: W: spelling-error %description -l en_US safemem -> safeness
rust-multipart+safemem-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+safemem-devel.noarch: W: no-documentation
rust-multipart+server-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+server-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+server-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+server-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+server-devel.noarch: W: no-documentation
rust-multipart+tiny_http-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+tiny_http-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+tiny_http-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+tiny_http-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+tiny_http-devel.noarch: W: no-documentation
rust-multipart+twoway-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+twoway-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+twoway-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+twoway-devel.noarch: W: spelling-error %description -l en_US twoway -> two way, two-way, stowaway
rust-multipart+twoway-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+twoway-devel.noarch: W: no-documentation
rust-multipart-debugsource.x86_64: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart.src: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart.src: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart.src: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
18 packages and 0 specfiles checked; 2 errors, 89 warnings.




Rpmlint (installed packages)
----------------------------
multipart.x86_64: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
multipart.x86_64: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
multipart.x86_64: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
multipart.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/multipart/README.md
multipart.x86_64: W: no-manual-page-for-binary form_test
multipart-debuginfo.x86_64: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+buf_redux-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+buf_redux-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+buf_redux-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+buf_redux-devel.noarch: W: spelling-error %description -l en_US buf -> bud, bug, bu
rust-multipart+buf_redux-devel.noarch: W: spelling-error %description -l en_US redux -> reduce
rust-multipart+buf_redux-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+buf_redux-devel.noarch: W: no-documentation
rust-multipart+client-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+client-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+client-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+client-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+client-devel.noarch: W: no-documentation
rust-multipart-debugsource.x86_64: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+default-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+default-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+default-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+default-devel.noarch: W: no-documentation
rust-multipart-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/multipart-0.16.1/.cargo-checksum.json
rust-multipart-devel.noarch: E: non-executable-script /usr/share/cargo/registry/multipart-0.16.1/fuzz_server.sh 644 /bin/sh 
rust-multipart-devel.noarch: E: wrong-script-end-of-line-encoding /usr/share/cargo/registry/multipart-0.16.1/fuzz_server.sh
rust-multipart-devel.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/rust-multipart-devel/README.md
rust-multipart+httparse-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+httparse-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+httparse-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+httparse-devel.noarch: W: spelling-error %description -l en_US httparse -> sparse
rust-multipart+httparse-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+httparse-devel.noarch: W: no-documentation
rust-multipart+hyper-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+hyper-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+hyper-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+hyper-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+hyper-devel.noarch: W: no-documentation
rust-multipart+iron-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+iron-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+iron-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+iron-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+iron-devel.noarch: W: no-documentation
rust-multipart+lazy_static-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+lazy_static-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+lazy_static-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+lazy_static-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+lazy_static-devel.noarch: W: no-documentation
rust-multipart+mock-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+mock-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+mock-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+mock-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+mock-devel.noarch: W: no-documentation
rust-multipart+nickel-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+nickel-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+nickel-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+nickel-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+nickel-devel.noarch: W: no-documentation
rust-multipart+quick-error-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+quick-error-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+quick-error-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+quick-error-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+quick-error-devel.noarch: W: no-documentation
rust-multipart+safemem-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+safemem-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+safemem-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+safemem-devel.noarch: W: spelling-error %description -l en_US safemem -> safeness
rust-multipart+safemem-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+safemem-devel.noarch: W: no-documentation
rust-multipart+server-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+server-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+server-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+server-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+server-devel.noarch: W: no-documentation
rust-multipart+tiny_http-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+tiny_http-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+tiny_http-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+tiny_http-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+tiny_http-devel.noarch: W: no-documentation
rust-multipart+twoway-devel.noarch: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
rust-multipart+twoway-devel.noarch: W: spelling-error %description -l en_US Backend -> Backed, Back end, Back-end
rust-multipart+twoway-devel.noarch: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
rust-multipart+twoway-devel.noarch: W: spelling-error %description -l en_US twoway -> two way, two-way, stowaway
rust-multipart+twoway-devel.noarch: W: invalid-url URL: https://crates.io/crates/multipart HTTP Error 404: Not Found
rust-multipart+twoway-devel.noarch: W: no-documentation
18 packages and 0 specfiles checked; 2 errors, 87 warnings.



Source checksums
----------------
https://crates.io/api/v1/crates/multipart/0.16.1/download#/multipart-0.16.1.crate :
  CHECKSUM(SHA256) this package     : 136eed74cadb9edd2651ffba732b19a450316b680e4f48d6c79e905799e19d01
  CHECKSUM(SHA256) upstream package : 136eed74cadb9edd2651ffba732b19a450316b680e4f48d6c79e905799e19d01


Requires
--------
multipart (rpmlib, GLIBC filtered):
    ld-linux-x86-64.so.2()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3)(64bit)
    libgcc_s.so.1(GCC_4.2.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

rust-multipart-devel (rpmlib, GLIBC filtered):
    (crate(log/default) >= 0.4.0 with crate(log/default) < 0.5.0)
    (crate(mime/default) >= 0.2.0 with crate(mime/default) < 0.3.0)
    (crate(mime_guess/default) >= 1.8.0 with crate(mime_guess/default) < 2.0.0)
    (crate(rand/default) >= 0.6.0 with crate(rand/default) < 0.7.0)
    (crate(tempfile/default) >= 3.0.0 with crate(tempfile/default) < 4.0.0)
    cargo

rust-multipart+default-devel (rpmlib, GLIBC filtered):
    (crate(hyper) >= 0.9.0 with crate(hyper) < 0.11.0)
    (crate(iron/default) >= 0.4.0 with crate(iron/default) < 0.7.0)
    (crate(tiny_http/default) >= 0.6.0 with crate(tiny_http/default) < 0.7.0)
    cargo
    crate(multipart)
    crate(multipart/client)
    crate(multipart/mock)
    crate(multipart/server)
    crate(nickel/default)

rust-multipart+buf_redux-devel (rpmlib, GLIBC filtered):
    (crate(buf_redux) >= 0.8.0 with crate(buf_redux) < 0.9.0)
    cargo
    crate(multipart)

rust-multipart+client-devel (rpmlib, GLIBC filtered):
    cargo
    crate(multipart)

rust-multipart+httparse-devel (rpmlib, GLIBC filtered):
    (crate(httparse/default) >= 1.2.0 with crate(httparse/default) < 2.0.0)
    cargo
    crate(multipart)

rust-multipart+hyper-devel (rpmlib, GLIBC filtered):
    (crate(hyper) >= 0.9.0 with crate(hyper) < 0.11.0)
    cargo
    crate(multipart)

rust-multipart+iron-devel (rpmlib, GLIBC filtered):
    (crate(iron/default) >= 0.4.0 with crate(iron/default) < 0.7.0)
    cargo
    crate(multipart)

rust-multipart+lazy_static-devel (rpmlib, GLIBC filtered):
    (crate(lazy_static/default) >= 1.2.0 with crate(lazy_static/default) < 2.0.0)
    cargo
    crate(multipart)

rust-multipart+mock-devel (rpmlib, GLIBC filtered):
    cargo
    crate(multipart)

rust-multipart+nickel-devel (rpmlib, GLIBC filtered):
    cargo
    crate(multipart)
    crate(nickel/default)

rust-multipart+quick-error-devel (rpmlib, GLIBC filtered):
    (crate(quick-error/default) >= 1.2.0 with crate(quick-error/default) < 2.0.0)
    cargo
    crate(multipart)

rust-multipart+safemem-devel (rpmlib, GLIBC filtered):
    (crate(safemem/default) >= 0.3.0 with crate(safemem/default) < 0.4.0)
    cargo
    crate(multipart)

rust-multipart+server-devel (rpmlib, GLIBC filtered):
    (crate(buf_redux) >= 0.8.0 with crate(buf_redux) < 0.9.0)
    (crate(httparse/default) >= 1.2.0 with crate(httparse/default) < 2.0.0)
    (crate(quick-error/default) >= 1.2.0 with crate(quick-error/default) < 2.0.0)
    (crate(safemem/default) >= 0.3.0 with crate(safemem/default) < 0.4.0)
    (crate(twoway/default) >= 0.2.0 with crate(twoway/default) < 0.3.0)
    cargo
    crate(multipart)

rust-multipart+tiny_http-devel (rpmlib, GLIBC filtered):
    (crate(tiny_http/default) >= 0.6.0 with crate(tiny_http/default) < 0.7.0)
    cargo
    crate(multipart)

rust-multipart+twoway-devel (rpmlib, GLIBC filtered):
    (crate(twoway/default) >= 0.2.0 with crate(twoway/default) < 0.3.0)
    cargo
    crate(multipart)

rust-multipart-debugsource (rpmlib, GLIBC filtered):



Provides
--------
multipart:
    multipart
    multipart(x86-64)

rust-multipart-devel:
    crate(multipart)
    rust-multipart-devel

rust-multipart+default-devel:
    crate(multipart/default)
    rust-multipart+default-devel

rust-multipart+buf_redux-devel:
    crate(multipart/buf_redux)
    rust-multipart+buf_redux-devel

rust-multipart+client-devel:
    crate(multipart/client)
    rust-multipart+client-devel

rust-multipart+httparse-devel:
    crate(multipart/httparse)
    rust-multipart+httparse-devel

rust-multipart+hyper-devel:
    crate(multipart/hyper)
    rust-multipart+hyper-devel

rust-multipart+iron-devel:
    crate(multipart/iron)
    rust-multipart+iron-devel

rust-multipart+lazy_static-devel:
    crate(multipart/lazy_static)
    rust-multipart+lazy_static-devel

rust-multipart+mock-devel:
    crate(multipart/mock)
    rust-multipart+mock-devel

rust-multipart+nickel-devel:
    crate(multipart/nickel)
    rust-multipart+nickel-devel

rust-multipart+quick-error-devel:
    crate(multipart/quick-error)
    rust-multipart+quick-error-devel

rust-multipart+safemem-devel:
    crate(multipart/safemem)
    rust-multipart+safemem-devel

rust-multipart+server-devel:
    crate(multipart/server)
    rust-multipart+server-devel

rust-multipart+tiny_http-devel:
    crate(multipart/tiny_http)
    rust-multipart+tiny_http-devel

rust-multipart+twoway-devel:
    crate(multipart/twoway)
    rust-multipart+twoway-devel

rust-multipart-debugsource:
    rust-multipart-debugsource
    rust-multipart-debugsource(x86-64)



Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -b 1763459 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: C/C++, fonts, SugarActivity, Perl, Java, R, Ocaml, PHP, Haskell, Ruby, Python
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 10 Robert-André Mauchin 🐧 2019-12-20 19:45:26 UTC
1. Fixed


2. Is the inclusion of LICENSE, LICENSE-APACHE, LICENSE-MIT, and README.md in
   /usr/share/cargo/registry/multipart-0.16.1 intentional?  (They are included
   in rust-multipart-devel.)

That's how rust-packaging wants to do it, not sure why though.

Comment 12 Jerry James 2019-12-22 17:36:06 UTC
Looks good.  This package is APPROVED.

Comment 13 Gwyn Ciesla 2019-12-23 14:31:02 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-multipart


Note You need to log in before you can comment on or make changes to this bug.